Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.pkg.manifest
Class EncryptionData

    java.lang.Object
      org.odftoolkit.odfdom.pkg.manifest.EncryptionData

    public class EncryptionData

extends Object

Constructor Summary
`EncryptionData()`
`EncryptionData(String checksumType, String checksum, Algorithm algorithm, KeyDerivation keyDerivation)`

Method Summary
`Algorithm` | `getAlgorithm()`
`String` | `getChecksum()`
`String` | `getChecksumType()`
`KeyDerivation` | `getKeyDerivation()`
`void` | `setAlgorithm(Algorithm algorithm)`
`void` | `setChecksum(String checksum)`
`void` | `setChecksumType(String checksumType)`
`void` | `setKeyDerivation(KeyDerivation keyDerivation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptionData

    public EncryptionData()

### EncryptionData

    public EncryptionData(String checksumType,
                          String checksum,
                          Algorithm algorithm,
                          KeyDerivation keyDerivation)

Method Detail

### setChecksumType

    public void setChecksumType(String checksumType)

### getChecksumType

    public String getChecksumType()

### setChecksum

    public void setChecksum(String checksum)

### getChecksum

    public String getChecksum()

### setAlgorithm

    public void setAlgorithm(Algorithm algorithm)

### getAlgorithm

    public Algorithm getAlgorithm()

### setKeyDerivation

    public void setKeyDerivation(KeyDerivation keyDerivation)

### getKeyDerivation

    public KeyDerivation getKeyDerivation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.